Bug 10016 - spt should create tgz/tbz2 images with numeric owner/group information
: spt should create tgz/tbz2 images with numeric owner/group information
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-09-18 17:23 by
Modified: 2007-04-22 19:10 (History)


Attachments
spt.diff (1.61 KB, patch)
2006-09-18 18:14, Sir Raorn
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-18 17:23:42
Об'ясню на примере:

altlinux-2.4.tar.gz - template для ovz, созданый spt.  В profile/setup.d/*
вызывался control postqueue mailadm.

После создания VPS, control postqueue давал unknown, группа каталога
/usr/lib/postqueue была webmaster (105).  При создании темплейта этот каталог
имел группу mailadm (104).

Оказалось, что в host системе группа mailadm имела gid 105.  И так будет с каждым.

Чтобы решить эту проблему, необходимо передавать опцию --numeric-owner при
вызове tar.
------- Comment #1 From 2006-09-18 18:14:48 -------
Created an attachment (id=1635) [details]
spt.diff

Хакообразный патч:

1. выставляет правильные права на /
2. использует цифровые uid/git в tar.* и cpio образах
------- Comment #2 From 2006-10-04 01:14:42 -------
Fixed in spt-0.3.1-alt5.